Package org.apache.synapse.commons.templates.uri.parser

# Class ReservedStringExpression

java.lang.Object
org.apache.synapse.commons.templates.uri.parser.Node
org.apache.synapse.commons.templates.uri.parser.Expression
org.apache.synapse.commons.templates.uri.parser.SimpleStringExpression
org.apache.synapse.commons.templates.uri.parser.ReservedStringExpression

Direct Known Subclasses:
  `FragmentExpression`

public class ReservedStringExpression extends SimpleStringExpression

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

  `variableList`

  ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Node

  `hasQueryTemplate, next, token`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservedStringExpression(String token)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `encodeValue(String value)`
  `protected boolean`
  `isReserved(char ch)`
  `protected boolean`
  `setVariables(String expressionValue, Map<String,String> variables)`

  ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.SimpleStringExpression

  `getSeparator`

  ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

  `decodeValue`

  ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Node

  `expandAll, hasQueryTemplate, matchAll, setNext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservedStringExpression

    public ReservedStringExpression(String token) throws URITemplateException
    Throws:
      `URITemplateException`

- ## Method Details

  - ### isReserved

    protected boolean isReserved(char ch)
    Overrides:
      `isReserved` in class `SimpleStringExpression`

  - ### encodeValue

    protected String encodeValue(String value)
    Overrides:
      `encodeValue` in class `Expression`

  - ### setVariables

    protected boolean setVariables(String expressionValue, Map<String,String> variables)
    Overrides:
      `setVariables` in class `SimpleStringExpression`